[blfs-dev] Mesa dependencies, was Re: cups and clang

David Brodie lfs at aba.eclipse.co.uk
Mon Sep 2 10:55:22 PDT 2013


On 02/09/13 16:10, Ken Moffat wrote:
> On Mon, Sep 02, 2013 at 11:17:02AM -0300, Fernando de Oliveira wrote:
>> Em 02-09-2013 10:55, Ken Moffat escreveu:
>>>
>>>   Mesa recommends llvm because radeon 3D drivers need them.  For (at
>>> least) intel it doesn't *need* llvm.
>>>
>>> ĸen
>>>
>>
>> Thanks for this post, ĸen.
>>
>> Long ago, I have commented something like that. I use nvidia proprietary
>> in one system (which I am using to write this), do not have radeon, and
>> it does not seem I need installing llvm. I wonder if it would be good to
>> add the word "only" just before "required", in the "Warning", with
>> respect to radeon versus llvm, but perhaps it is necessary for something
>> else and is left like that just in case.
>>
>
>   I'm in favour of rewording it.
>
>   Actually, I'm not convinced that the frightening 'Warning' is
> really necessary.  We could change 'Recommended' to something like:
>
> libvdpau-x.y (to build VDPAU drivers), elfutils-x.y AND llvm-x.y
> (both required for radeon 3D drivers)
>
>   OR
>
> we could move elfutils and llvm to Required with a note (both
> are only needed for radeon 3D drivers)
>
>   Perhaps we also need to draw people's attention to the explanation
> of --with-gallium-drivers= before we show the configure command ?
>
> ĸen
>

llvm is also required for the software rasterizer, e.g. using the switches:

--with-llvm-shared-libs \
--with-gallium-drivers=swrast \
--with-dri-drivers=swrast

David





More information about the blfs-dev mailing list